require 'test_helper'

class JukeboxRailsTest < ActionDispatch::IntegrationTest
  teardown { clean_cache }

  test "engine is loaded" do
    assert_equal ::Rails::Engine, Jukebox::Rails::Engine.superclass
  end

  test "javascripts are served" do
    get "/assets/jukebox.js"
    assert_response :success
    get "/assets/jukebox/Player.js"
    assert_response :success
    get "/assets/jukebox/Manager.js"
    assert_response :success
  end

  test "flash is served" do
    get "/assets/jukebox/FlashMediaElement.swf"
    assert_response :success
  end

  test "javascript contain references to flash" do
    get "/assets/application.js"
    assert_match "/assets/jukebox/FlashMediaElement.swf", response.body
  end

  private
  def clean_cache
    FileUtils.rm_rf File.expand_path("../dummy/tmp",  __FILE__)
  end
end
